<?php
session_start();

if(!isset($_SESSION['role'])) {
    $_SESSION['role'] = 0;
}

function nav($nav) {
    foreach($nav as $name => $url) {
        echo "<a href='$url'><div class='navitem'>$name</div></a>";
    }
    if($_SESSION['role'] >= 4) { 
        echo "<a href='admin.php'><div class='navitem'>Admin</div></a>";
    }
    if (isset($_SESSION['userid'])) {
        echo "<a href='compte.php'><div class='navitem'>" . $_SESSION['display_name'] . "</div></a><a href='logout.php'><div class='navitem'>Déconnexion</div></a>";
    } else {
        echo "<a href='login.php'><div class='navitem'>Connexion</div></a>";
    }
}

function connect($dbhost, $dbname, $dbuser, $dbpass) {
    try
        {
            $bdd = new PDO('mysql:host=' . $dbhost . ';dbname=' . $dbname . ';charset=UTF8',$dbuser,$dbpass);
            $bdd->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
        }
    catch(Exception $e)
        {
            die('Erreur : '.$e->getMessage());
        }
    return $bdd;
}
?>